Bug 527706 (mingw32-libgeotiff) - Review Request: mingw32-libgeotiff - MinGW port of libgeotiff Georeferenced image library
Summary: Review Request: mingw32-libgeotiff - MinGW port of libgeotiff Georeferenced i...
Status: CLOSED ERRATA
Alias: mingw32-libgeotiff
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 454410 mingw32-proj
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-07 12:41 UTC by Dave Ludlow
Modified: 2009-12-11 18:22 UTC (History)
5 users (show)

Fixed In Version: 1.3.0-0.1.svn1664.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 18:14:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Dave Ludlow 2009-10-07 12:41:31 UTC
Spec URL: http://www.adsllc.com/tmp/mingw32-libgeotiff.spec
SRPM URL: http://www.adsllc.com/tmp/mingw32-libgeotiff-1.3.0-svn1664.fc11.src.rpm
Description: MinGW port of libgeotiff Georeferenced image library

GeoTIFF represents an effort by over 160 different remote sensing, 
GIS, cartographic, and surveying related companies and organizations 
to establish a TIFF based interchange format for georeferenced 
raster imagery.

This is my second package submission, and I am looking for a sponsor.  See also: mingw32-proj.

The source for this is SVN rev 1664 from https://svn.osgeo.org/metacrs/geotiff/trunk/libgeotiff, then './autogen.sh' and 'mingw32-configure' and 'make dist'.  The latest release has build system issues that make porting difficult so a SVN snapshot is used instead for now - I expect libgeotiff-1.3.0 to fix this when it is released.

Comment 1 Dave Ludlow 2009-10-15 14:15:34 UTC
Fix a number of self-caught packing problems.

rpmlint mingw32-libgeotiff.spec mingw32-libgeotiff-1.3.0-1.svn1664.fc11.src.rpm mingw32-libgeotiff-1.3.0-1.svn1664.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

SPEC:
http://adsllc.fedorapeople.org/rpmbuild/SPECS/mingw32-libgeotiff.spec

SRPM (won't build in Koji yet due to mingw32-proj dependency):
http://adsllc.fedorapeople.org/rpmbuild/SRPMS/mingw32-libgeotiff-1.3.0-1.svn1664.fc11.src.rpm

Comment 2 Peter Lemenkov 2009-10-15 16:14:48 UTC
I'll review it.

Comment 3 Peter Lemenkov 2009-10-18 17:21:44 UTC
Are there any reasons to use pre-1.3.0 version instead of stable 1.2.5? We are still providing 1.2.5 in main Fedora.

Other things looks sane.

Comment 4 Peter Lemenkov 2009-10-18 17:26:59 UTC
And, please, add more files to %doc - LICENSE, at least (actually, you must add it).

Comment 5 Dave Ludlow 2009-10-19 03:18:56 UTC
#3 - 1.2.5 has a broken build system that doesn't work with mingw32-configure.  The 1.3.0 release should include the fix, but svn 1664 works for now.

#4 - This command
svn co -r 1664 https://svn.osgeo.org/metacrs/geotiff/trunk/libgeotiff ; cd libgeotiff ; ./autogen.sh ; mingw32-configure ; make dist
Does not include the LICENSE file in resulting libgeotiff-1.3.0.tar.gz.

The review guidelines say this must be packaged "if and only if" the source package includes it, which is does not.  I'll look into sending a fix upstream since it probably should be included in later releases.

Comment 6 Dave Ludlow 2009-10-19 13:09:26 UTC
Upstream packaging bug submitted so that LICENSE (and other things) get included in the tarball:

http://trac.osgeo.org/gdal/ticket/3192

Comment 7 Dave Ludlow 2009-11-01 13:51:50 UTC
Ping.  I believe the package meets the requirements as-is.  Comment #3 has been addressed (I'm using SVN instead of a release for a good reason).  Comment #4 has also been addressed (LICENSE is not in the upstream source tarball, so I cannot include it).

Comment 8 Peter Lemenkov 2009-11-01 14:05:12 UTC
Dave, I didn't made the full review only because mingw32-proj is still unavailable in Koji, and, therefore, I can't make test rebuild (which is necessary for me, for the review process).

I realized that you just requested a movement them to stable, so I'll do a review in a couple of days or so.

Comment 9 Dave Ludlow 2009-11-01 14:36:39 UTC
Got it - thanks.

Here is the mingw32-proj Koji page:
http://koji.fedoraproject.org/koji/packageinfo?packageID=9367

Comment 10 Peter Lemenkov 2009-11-05 14:58:03 UTC
Koji scratchbuild for F-11 (success):
http://koji.fedoraproject.org/koji/taskinfo?taskID=1789938

Koji scratchbuild for F-12 (success):
http://koji.fedoraproject.org/koji/taskinfo?taskID=1789940

Koji scratchbuild for EL-5 (FAILURE!):
http://koji.fedoraproject.org/koji/taskinfo?taskID=1789943

Review:

+ rpmlint is silent


+/- The package is named according to the  Package Naming Guidelines, except one small issue in the versioning scheme - since you're packaging pre-release (from VCS), then "Release" field should start from 0. E.g.

Release:  0.1.svn1664%{?dist}

+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.

+/- The file, containing the text of the license(s) for the package, should be included in %doc, but, unfortunately, upstream does not ship this file in their VCS. This issue was reported upstream (see comments above) and may be ignoired here.

+ The spec file is written in American English.
+ The spec file for the package is legible.

+/- The sources used to build the package, must match the upstream source, as provided in the spec URL. However, since this is a pre-release and no tarball was provided by upstream, the only way to check the integrity of the sources, is to make diff against freshly checked out VCS tree. So, please, provide the instructions in comments somewhere within spec-file on how to create this checkout. See this spec, for example:

http://cvs.fedoraproject.org/viewvc/rpms/superiotool/devel/superiotool.spec?view=markup

+/- The package successfully compiles and builds into binary rpms on at least one primary architecture. Unfortunately, the package failed to build on EL-5 due to missing dependencies on mingw32-{libtiff|proj}. Please, keep this in mind, then you'll requesting cvs branches.

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.

- The package must NOT own files or directories already owned by other packages. Unfortunately, it owns %{_mingw32_libdir}/pkgconfig which is already owned by mingw32-filesystem.

+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8

Please, fixissues noted above, and I'll continue.

Comment 11 Peter Lemenkov 2009-11-14 11:13:18 UTC
Ping, Dave.

Comment 12 Dave Ludlow 2009-11-14 16:03:29 UTC
Sorry, was out of town.  Will get to this shortly.

Comment 13 Dave Ludlow 2009-11-17 23:05:26 UTC
+/- The package is named according to the  Package Naming Guidelines, except
one small issue in the versioning scheme - since you're packaging pre-release
(from VCS), then "Release" field should start from 0.

Done

+/- The sources used to build the package, must match the upstream source, as
provided in the spec URL. However, since this is a pre-release and no tarball
was provided by upstream, the only way to check the integrity of the sources,
is to make diff against freshly checked out VCS tree. So, please, provide the
instructions in comments somewhere within spec-file on how to create this
checkout.

Done

+/- The package successfully compiles and builds into binary rpms on at least
one primary architecture. Unfortunately, the package failed to build on EL-5
due to missing dependencies on mingw32-{libtiff|proj}. Please, keep this in
mind, then you'll requesting cvs branches.

Noted

- The package must NOT own files or directories already owned by other
packages. Unfortunately, it owns %{_mingw32_libdir}/pkgconfig which is already
owned by mingw32-filesystem.

Fixed

SPEC:
http://adsllc.fedorapeople.org/rpmbuild/SPECS/mingw32-libgeotiff.spec

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1813287

Comment 14 Peter Lemenkov 2009-11-18 05:30:53 UTC
Ok, I don't see any other issues, so this package is

APPROVED.

Comment 15 Dave Ludlow 2009-11-18 16:26:20 UTC
Thanks Peter!

New Package CVS Request
=======================
Package Name: mingw32-libgeotiff
Short Description: MinGW port of libgeotiff Georeferenced image library
Owners: adsllc
Branches: F-11 F-12

Comment 16 Jason Tibbitts 2009-11-19 18:29:02 UTC
CVS done.

Comment 17 Peter Lemenkov 2009-11-29 17:06:01 UTC
Ping, Dave. We are waiting for you :)

Comment 18 Dave Ludlow 2009-11-30 13:12:50 UTC
Thanks for the ping...

I now seem to be stuck.  I've gotten to "Tag Or Update Your Branches" on this list:
http://fedoraproject.org/wiki/PackageMaintainers/Join

But I'm getting this error:

[davel@myth F-12]$ make tag
rpm: no arguments given for query
cvs tag  -c mingw32-libgeotiff--
ERROR: Tag mingw32-libgeotiff-- is not in name-version-release format
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!
make: *** [tag] Error 1

I've never seen this with any previous packages - suggestions?

Comment 19 Peter Lemenkov 2009-11-30 13:57:01 UTC
It seems that you forgot to checkout spec-file first. 

$ ./common/cvs-import.sh -b "branch name" -m "message" ~/path/to/mingw32-libgeotiff.srpm

Comment 20 Dave Ludlow 2009-11-30 14:50:17 UTC
I had done ./common/cvs-import.sh ~/path/to/mingw32-libgeotiff.srpm.

To be safe, I just did

./common/cvs-import.sh -b "F-12" -m "Initial F-12 import" /home/davel/rpmbuild/SRPMS/mingw32-libgeotiff-1.3.0-0.1.svn1664.fc12.src.rpm

and

./common/cvs-import.sh -b "F-11" -m "Initial F-11 import" /home/davel/rpmbuild/SRPMS/mingw32-libgeotiff-1.3.0-0.1.svn1664.fc12.src.rpm

per your suggestion.

I still get the same error.

Comment 21 Peter Lemenkov 2009-11-30 16:56:16 UTC
Perhaps you forgot to type

$ cvs up

in the mingw32-libgeotiff cvs directory. Since my last comment I see that you're uploaded all necessary files, and it's time to download them locally :)

Comment 22 Fedora Update System 2009-11-30 18:03:57 UTC
mingw32-libgeotiff-1.3.0-0.1.svn1664.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libgeotiff-1.3.0-0.1.svn1664.fc11

Comment 23 Fedora Update System 2009-11-30 18:04:03 UTC
mingw32-libgeotiff-1.3.0-0.1.svn1664.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mingw32-libgeotiff-1.3.0-0.1.svn1664.fc12

Comment 24 Dave Ludlow 2009-11-30 18:07:47 UTC
Thanks Peter.  You were spot-on.  I swear I tried that before.

Comment 25 Fedora Update System 2009-12-02 04:27:12 UTC
mingw32-libgeotiff-1.3.0-0.1.svn1664.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-libgeotiff'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12480

Comment 26 Fedora Update System 2009-12-02 04:28:49 UTC
mingw32-libgeotiff-1.3.0-0.1.svn1664.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-libgeotiff'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12490

Comment 27 Fedora Update System 2009-12-11 18:14:43 UTC
mingw32-libgeotiff-1.3.0-0.1.svn1664.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2009-12-11 18:22:45 UTC
mingw32-libgeotiff-1.3.0-0.1.svn1664.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.